CREATE TABLE gtg_ts_assetphyinventory (
    ETL_SEQUENCE_ID                NUMBER(19, 0) ,
    ETL_VERSION_NUMBER             NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER          NUMBER(18, 0) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    ASSET_DESCRIPTION              VARCHAR2(320) ,
    ASSET_ID                       NUMBER(18, 0) ,
    ASSET_KEY_CCID                 NUMBER(18, 0) ,
    ASSET_NUMBER                   VARCHAR2(120) ,
    ASSIGNEE_EMAIL_ADDRESS         VARCHAR2(960) ,
    BOOK_TYPE_CODE                 VARCHAR2(120) ,
    CATEGORY_ID                    NUMBER(18, 0) ,
    FAINVENTORYINT_CB              VARCHAR2(256) ,
    FAINVENTORYINT_CD              TIMESTAMP(6)  ,
    FAINVENTORYINT_LUB             VARCHAR2(256) ,
    FAINVENTORYINT_LUD             TIMESTAMP(6)  ,
    INVENTORY_LINE_NUM             NUMBER(18, 0) ,
    INVENTORY_NAME                 VARCHAR2(960) ,
    LOCATION_ID                    NUMBER(18, 0) ,
    LOC_DIFFERENCE_ACTION_CODE     VARCHAR2(120) ,
    MANUFACTURER_NAME              VARCHAR2(1440),
    MODEL_NUMBER                   VARCHAR2(160) ,
    SERIAL_NUMBER                  VARCHAR2(140) ,
    STATUS                         VARCHAR2(120) ,
    TAG_NUMBER                     VARCHAR2(60)  ,
    UNITS                          NUMBER        ,
    UNIT_ADJ_CODE                  VARCHAR2(120) ,
    UNIT_DIFFERENCE_ACTION_CODE    VARCHAR2(120) ,
    ETL_SEQUENCE_ID                NUMBER(19, 0) ,
    ETL_VERSION_NUMBER             NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER          NUMBER(18, 0) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    ASSET_DESCRIPTION              VARCHAR2(320) ,
    ASSET_ID                       NUMBER(18, 0) ,
    ASSET_KEY_CCID                 NUMBER(18, 0) ,
    ASSET_NUMBER                   VARCHAR2(120) ,
    ASSIGNEE_EMAIL_ADDRESS         VARCHAR2(960) ,
    BOOK_TYPE_CODE                 VARCHAR2(120) ,
    CATEGORY_ID                    NUMBER(18, 0) ,
    FAINVENTORYINT_CB              VARCHAR2(256) ,
    FAINVENTORYINT_CD              TIMESTAMP(6)  ,
    FAINVENTORYINT_LUB             VARCHAR2(256) ,
    FAINVENTORYINT_LUD             TIMESTAMP(6)  ,
    INVENTORY_LINE_NUM             NUMBER(18, 0) ,
    INVENTORY_NAME                 VARCHAR2(960) ,
    LOCATION_ID                    NUMBER(18, 0) ,
    LOC_DIFFERENCE_ACTION_CODE     VARCHAR2(120) ,
    MANUFACTURER_NAME              VARCHAR2(1440),
    MODEL_NUMBER                   VARCHAR2(160) ,
    SERIAL_NUMBER                  VARCHAR2(140) ,
    STATUS                         VARCHAR2(120) ,
    TAG_NUMBER                     VARCHAR2(60)  ,
    UNITS                          NUMBER        ,
    UNIT_ADJ_CODE                  VARCHAR2(120) ,
    UNIT_DIFFERENCE_ACTION_CODE    VARCHAR2(120) ,
    CONSTRAINT pk_gtg_ts_assetphyinventory PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
